import React, { useState, useEffect } from 'react';
import axios from 'axios';
import '../styles/App.css';
import LevelList from './items/Level/LevelList';
import './AddLevel.css';

//компонент для просмотра, создания и удаления уровней
const AddLevel = () => {
    const [levelItems, setLevelItems] = useState([]);
    
    //для создания нового уровня
    const [level, setLevel] = useState({level: ''});

    //загрузка всех имеющихся уровней при старте
    useEffect(() => {
        console.log('Обращение к БД');
        axios.get('http://localhost:8080/level/')
        .then((responce) => {
            console.log(responce.data);
            setLevelItems(responce.data)
        })
    }, [])

    //обновить список уровней
    function CheckArray(){
        console.log('Обращение к БД');
        axios.get('http://localhost:8080/level/')
        .then((responce) => {
            console.log(responce.data);
            setLevelItems(responce.data)
        })
    }

    //добавление нового уровня
    function addNewLevel(){
        if(level.level === ''){
            return;
        }
        else {
            axios.post('http://localhost:8080/level/?Level=' + parseInt(level.level, 10))
                .then((response) => {
                    CheckArray();
                    setLevel({level: ''});
                });
        }
    }

    //добавили условную отрисовку
    return(
        <div>
            <div className="Group_create_level">
                <h1>Генератор уровней</h1>
                <div>
                    <p style={{fontWeight: "900"}}>
                        Введите уровень:
                    <input
                        className="add-level-input"
                        value={level.level}
                        onChange={e => setLevel({level: e.target.value})}
                    />
                    </p>
                </div>
                <div>
                    <button className='add-level-button'
                        onClick={addNewLevel}
                    >
                        Создать уровень
                    </button>
                    <button className='add-level-button'
                         onClick={CheckArray}
                    >
                        Вывести все уровни
                    </button>
                </div>
            </div>
            <div className="Card_list">
                {levelItems.length !== 0
                    ? 
                    <LevelList levelItems={levelItems}
                    />
                    : 
                    <h1 style={{textAlign: 'center'}}>В БД отсутствуют какие-либо уровни!</h1>
                }
            </div>
        </div>
    );
};

export default AddLevel;